import { useTranslations } from "@/hooks/translations";
import styles from "./styles.module.css";
import { ELocalesPlacement } from "@/locales";

function CreditCard() {
  const { translate } = useTranslations(ELocalesPlacement.V1);

  return (
    <div className={styles.container}>
      <img
        src="/credit-card.svg"
        alt={translate("payment_modal.credit_card") as string}
      />
      <span className={styles.text}>{translate("payment_modal.credit_card")}</span>
    </div>
  );
}

export default CreditCard;
